player = { }

function player.load(self,image)                   
    self.x = love.graphics.getWidth()/2
    self.y = love.graphics.getHeight()/2
    self.xscale = 1
    self.yscale = 1
    self.image = image                             
    self.xvel = 0                                  
    self.yvel = 0                                  
    self.speed = 1700                              
    self.friction = 3                              
end                                                

function player:draw()                             
    love.graphics.rectangle("fill",100,100,110,110)
    love.graphics.draw(self.image,self.x,self.y,0,self.xscale,self.yscale,self.image:getWidth()/2,self.image:getHeight()/2)
end

function player:move(dt)
    self.x = self.x + self.xvel * dt
    camera.x = camera.x + self.xvel * dt
    self.y = self.y + self.yvel * dt
    self.xvel = self.xvel * (1 - math.min(dt * player.friction,1))
    self.yvel = self.yvel * (1 - math.min(dt * player.friction,1))
    if love.keyboard.isDown("right") and self.xvel < self.speed then
        self.xvel = self.xvel + self.speed * dt
    elseif love.keyboard.isDown("left") and self.xvel > -self.speed then
        self.xvel = self.xvel - self.speed * dt
    elseif love.keyboard.isDown("down") and self.yvel < self.speed then
        self.yvel = self.yvel + self.speed * dt
    elseif love.keyboard.isDown("up") and self.yvel > -self.speed then
        self.yvel = self.yvel - self.speed * dt 
    end
    if self.y < self.image:getHeight()/2 then
        self.y = self.image:getHeight()/2
        self.yvel = 0
    elseif self.y + self.image:getHeight()/2 > love.graphics.getHeight() then
        self.y = love.graphics.getHeight() - self.image:getHeight()/2
        self.yvel = 0
    end
end
